﻿using Rhino;
using Rhino.Commands;
using Rhino.Geometry;
using Rhino.Input;
using Rhino.Input.Custom;
using System;
using System.Collections.Generic;

namespace CSProjectTemplate1
{
    public class CSProjectTemplate1Command : Command
    {
        public CSProjectTemplate1Command()
        {
            // Rhino only creates one instance of each command class defined in a
            // plug-in, so it is safe to store a refence in a static property.
            Instance = this;
        }

        ///<summary>The only instance of this command.</summary>
        public static CSProjectTemplate1Command Instance
        {
            get; private set;
        }

        ///<returns>The command name as it appears on the Rhino command line.</returns>
        public override string EnglishName
        {
            get { return "CSProjectTemplate1Command"; }
        }

        protected override Result RunCommand(RhinoDoc doc, RunMode mode)
        {
            var active_view = doc.Views.ActiveView;

            RhinoApp.WriteLine(active_view.ActiveViewport.Name);

            var standard_views = doc.Views.GetStandardRhinoViews();
            foreach (var view in standard_views)
                RhinoApp.WriteLine($"Active Viewport Id: {view.ActiveViewport.Name}");

            var botton_view = doc.Views.Find("Bottom", false);
            if (botton_view != null)
            {
                RhinoApp.WriteLine("Bottom view found!");
                doc.Views.ActiveView = botton_view;
            }
            else
            {
                RhinoApp.WriteLine("Bottom view not found!");
            }

            return Result.Success;
        }
    }
}
